from skapex import LeveragedAffinityPropagation
from sklearn.datasets import make_blobs
from sklearn.metrics.pairwise import euclidean_distances
X, _ = make_blobs(n_samples=200, centers=3, random_state=0)
model = LeveragedAffinityPropagation(simf=lambda x,y : -euclidean_distances(x, y, squared=True), fraction=0.1, sweeps=5)
model.fit(X)
print(model.labels_)
